IndicatorDisplay

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.frontpanel
Interface IndicatorDisplay

    public interface IndicatorDisplay

This interface represents the set of individual indicators on a front panel (e.g. power, recording). An individual indicator is a single lamp or icon that can be turned on or off. It may have properties such as color and brightness that can be set.

Field Summary
`static String` | `MESSAGE` Message LED
`static String` | `POWER` Power LED
`static String` | `RECORD` Record LED
`static String` | `REMOTE` Remote LED
`static String` | `RFBYPASS` RF bypass LED

Method Summary
`Hashtable` | `getIndicators()` Gets the set of reserved indicators.

Field Detail

### POWER

    static final String POWER

  Power LED

  See Also:
    Constant Field Values

### RFBYPASS

    static final String RFBYPASS

  RF bypass LED

  See Also:
    Constant Field Values

### MESSAGE

    static final String MESSAGE

  Message LED

  See Also:
    Constant Field Values

### RECORD

    static final String RECORD

  Record LED

  See Also:
    Constant Field Values

### REMOTE

    static final String REMOTE

  Remote LED

  See Also:
    Constant Field Values

Method Detail

### getIndicators

    Hashtable getIndicators()

  Gets the set of reserved indicators. The HashTable returned SHALL contain the name of the indicator and a corresponding `Indicator` object. The set of standardized indicators includes "power", "rfbypass", "message", and "record". The Indicator object associated with each indicator can be used to change the color and brightness (i.e. turn on or off) if those properties are supported.

  Returns:
    The set of Indicators reserved using `FrontPanelManager.reserveIndicator(org.davic.resources.ResourceClient, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD